curl --request POST \
--url https://api.getsly.ai/v1/v1/ucp/checkouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"sku": "<string>",
"quantity": 123,
"unit_price": "<string>",
"currency": "<string>",
"description": "<string>"
}
],
"currency": "USD",
"style": "modal",
"success_url": "<string>",
"cancel_url": "<string>",
"expires_in": 900,
"metadata": {}
}
'{
"data": {
"id": "<string>",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "created",
"items": [
{
"sku": "<string>",
"quantity": 123,
"unit_price": "<string>",
"currency": "<string>",
"description": "<string>"
}
],
"total": "<string>",
"currency": "<string>",
"style": "modal",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"session_url": "<string>",
"success_url": "<string>",
"cancel_url": "<string>",
"metadata": {}
}
}curl --request POST \
--url https://api.getsly.ai/v1/v1/ucp/checkouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"sku": "<string>",
"quantity": 123,
"unit_price": "<string>",
"currency": "<string>",
"description": "<string>"
}
],
"currency": "USD",
"style": "modal",
"success_url": "<string>",
"cancel_url": "<string>",
"expires_in": 900,
"metadata": {}
}
'{
"data": {
"id": "<string>",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "created",
"items": [
{
"sku": "<string>",
"quantity": 123,
"unit_price": "<string>",
"currency": "<string>",
"description": "<string>"
}
],
"total": "<string>",
"currency": "<string>",
"style": "modal",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"session_url": "<string>",
"success_url": "<string>",
"cancel_url": "<string>",
"metadata": {}
}
}API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
1Show child attributes
modal, redirect, embedded x <= 86400Show child attributes
Checkout created
Show child attributes